@use "../../../scss/vars";

:host {
  border: 0;
  background-color: vars.$color-grey-100;
  border-radius: 1rem;
  font-weight: 600;
  color: vars.$color-orange-100;
  cursor: pointer;

  padding: 1rem 2rem;
  font-size: 1rem;
  line-height: 1rem;
}

:host-context([size="xs"]) {
  padding: .25rem 1rem;
  font-size: .75rem;
  line-height: 1.125rem;
}

:host-context([color="primary"]) {
  background-color: vars.$color-orange-100;
  color: vars.$color-grey-100;
}

:host-context([color="secondary"]) {
  background-color: vars.$color-orange-200;
  color: vars.$color-grey-100;
}
